import React, { HTMLAttributes } from 'react';
export interface CSidebarProps extends HTMLAttributes<HTMLDivElement> {
    /**
     * A string of all className you want applied to the component. [docs]
     */
    className?: string;
    /**
     * Make sidebar narrow. [docs]
     */
    narrow?: boolean;
    /**
     * Event emitted after visibility of component changed. [docs]
     */
    onVisibleChange?: (visible: boolean) => void;
    /**
     * Set sidebar to narrow variant. [docs]
     */
    overlaid?: boolean;
    /**
     * Place sidebar in non-static positions. [docs]
     */
    position?: 'fixed' | 'sticky';
    /**
     * Size the component small, large, or extra large. [docs]
     */
    size?: 'sm' | 'lg' | 'xl';
    /**
     * Expand narrowed sidebar on hover. [docs]
     */
    unfoldable?: boolean;
    /**
     * Toggle the visibility of sidebar component. [docs]
     *
     * @default true
     */
    visible?: boolean;
}
export declare const CSidebar: React.ForwardRefExoticComponent<CSidebarProps & React.RefAttributes<HTMLDivElement>>;
